package main

import (
	"context"

	"git.optclblast.xyz/draincloud/draincloud-core/internal/app"
	"git.optclblast.xyz/draincloud/draincloud-core/internal/plugin"
	"git.optclblast.xyz/draincloud/draincloud-core/internal/storage/postgres"
)

func main() {
	ctx := context.Background()

	plugin.MustNewPluginLoader(ctx, 8081, plugin.NewPluginStore()).
		Run(ctx)

	pg := postgres.New(ctx, "postgres://draincloud:draincloud@localhost:5432/draincloud?sslmode=disable")

	app.New(pg).
		Run(ctx)
}
